VTEX
Order items
GET
Retrieve VTEX order line items with SKU, pricing, brand, and commission data.
ClientIdAuthClientSecretAuthheader
x-client-id<token>Client ID
header
x-client-secret<token>Client secret
organizationId*stringOrganization identifier (required)
userId?stringUser identifier
integrationName?stringVTEX integration name
orderId?stringFilter by VTEX order id
dateStart?stringFilter rows with inserted_at on or after this date (YYYY-MM-DD)
Format
datedateEnd?stringFilter rows with inserted_at on or before this date (YYYY-MM-DD)
Format
datepage?integerPage number (default 1)
Default
1limit?integerItems per page (default 500, max 5000)
Range
value <= 5000Default
500VTEX order items response
application/json- response
data?array<>meta?curl -X GET "https://example.com/v1/vtex/orders/items?organizationId=org_123"{ "data": [ { "order_id": "string", "unique_id": "string", "id": "string", "product_id": "string", "ean": "string", "quantity": 0, "seller": "string", "name": "string", "price": 0, "selling_price": 0, "brand_name": "string", "brand_id": "string", "measurement_unit": "string", "unit_multiplier": 0, "image_url": "string", "detail_url": "string", "commission": 0, "tax": 0, "cost_price": 0, "integration_id": "string", "organization_id": "string", "organization_id_legacy": "string", "user_id": "string", "document_id": "string", "inserted_at": "2019-08-24T14:15:22Z", "integration_name": "string" } ], "meta": { "page": 0, "limit": 0, "hasNextPage": true, "hasPreviousPage": true }}